### 一、环境及依赖配置

#### 1.1、环境要求

Node版本要在10.13.0以上

#### 1.2、基础依赖
```
`-- 安装webpack所需依赖`
`npm i webpack webpack-cli webpack-dev-server --save`

`-- 安装自动生成html依赖`
`npm i html-webpack-plugin html-loader clean-webpack-plugin --save-dev`

`-- 安装css/字体图表处理依赖`
`npm i css-loader style-loader sass sass-loader mini-css-extract-plugin --save`

`-- 如果有scss则还需引入`
`npm i sass sass-loader --save`

`-- 如果有less则还需引入`

`npm i less less-loader --save`

`-- 为不同内核的浏览器加上CSS前缀`

`npm install postcss-loader autoprefixer --save`

`-- 图片及字体处理`

`npm i url-loader file-loader --save`

`-- 合并配置`

`npm i webpack-merge --save-dev`
```
<!--stackedit_data:
eyJoaXN0b3J5IjpbMTk3MTIxMzI4OF19
-->